%global momorel 2
%global md5sum_src0 a0e01bcff2bc5e35ec88f60a383051d3
Summary: A featureful Unicode character map. 
Name: gucharmap
Version: 1.10.0
Release: %{momorel}m%{?dist}
Group: Applications/System
License: GPL
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.10/%{name}-%{version}.tar.bz2 %{md5sum_src0}
URL: http://gucharmap.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libgnomeui-devel >= 2.18.0
BuildPrereq: gtk2-devel >= 2.10.9
BuildPrereq: libgnome-devel >= 2.18.0
BuildPrereq: pango-devel >= 1.16.1
BuildPrereq: glib2-devel >= 2.12.9
BuildPreReq: openssl-devel >= 0.9.8a
BuildPreReq: gnome-doc-utils >= 0.9.0

Prereq: gtk2 scrollkeeper
Requires: libgnomeui
Requires: gtk2
Requires: libgnome

%description
gucharmap is a featureful Unicode character map and font viewer.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnomeui-devel
Requires: gtk2-devel
Requires: libgnome-devel

%description devel
This package contains the header files, static libraries and development
documentation for %{name}.

%prep
%setup -q

%build
%configure --disable-scrollkeeper
%make

%install
rm -rf --preserve-root %{buildroot}
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:%{buildroot}%{_libdir}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
scrollkeeper-update
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor

%postun
scrollkeeper-update

%files
%defattr (-, root, root)
%doc COPYING* ChangeLog NEWS README TODO
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_datadir}/locale/*/*/*.mo
%{_datadir}/applications/gucharmap.desktop
%{_datadir}/gnome/help/gucharmap
%{_datadir}/omf/gucharmap
%{_datadir}/icons/hicolor/48x48/apps/gucharmap.png

%files devel
%defattr (-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_includedir}/gucharmap

%changelog
* Wed Mar 21 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.10.0-2m)
- add BuildPreReq: gnome-doc-utils >= 0.9.0

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.0-1m)
- update to 1.10.0

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.0-1m)
- update to 1.9.0 (unstable?)

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.0-1m)
- update 1.8.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.6.0-5m)
- rebuild against expat-2.0.0-1m

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-4m)
- delete libtool library

* Tue May 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-3m)
- delete duplicated dir

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-2m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-1m)
- update to 1.6.0

* Tue Nov 22 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.4-1m)
- version up
- GNOME 2.12.1 Desktop

* Wed Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.4.2-1m)
- version 1.4.2
- GNOME 2.8 Desktop

* Fri Jun 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.1-3m)
- cancel %%requires_eq gtk+

* Mon May 23 2004 Toru Hoshina <t@momonga-linux.org>
- (1.4.1-2m)
- prereq scrollkeeper.

* Tue Apr 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.1-1m)
- version up

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.0.0-1m)
- version 1.0.0

* Tue Aug 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.0-1m)
- version 0.9.0

* Sat Jun 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.8.0-1m)
- version 0.8.0

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.1-3m)
- rebuild against for gtk+-2.2.2

* Fri May 30 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.6.1-2m)
  LD_LIBRARY_PATH

* Mon May 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.1-1m)
- version 0.6.1

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.0-1m)
- version 0.6.0
